#  TODO - ova skripta sigurno ima greske - sluzi za ICmyNet -> NetVizura upgrade

#!/bin/sh
# db patch script

# exit level
exit_level=0


# check for db version
db_version=`sudo -u postgres psql --quiet icmynet -c "SELECT MAX(patch_number) FROM framework.db_version;" -t -A`
# db_version_success=$? # this may be useful someday

if [ -z $db_version ]
then
        # there is an error with getting DB version
        exit_level=1
else
        echo "current DB version is $db_version"
        # apply patches
        for patch in ./patch/*
        do
                patch_num=`echo "$patch" | egrep --only-matching "patch_([0-9]){3}" | tail -c 4`
                if [ "$patch_num" -gt "$db_version" ]
                then
                        echo "applying patch $patch"
                        sudo -u postgres psql --file=$patch icmynet >> /var/log/icmynet/dbinit.log 2>&1
                fi

        done

	# create netvizura user
	sudo -u postgres psql --quiet -c "CREATE USER netvizura PASSWORD 'netvizura'"
	sudo -u postgres psql --quiet -c "ALTER USER netvizura SUPERUSER"

	# rename directories in the database
	sudo -u postgres psql --quiet icmynet -c "update system_property set value = replace(value, 'icmynet', 'netvizura')  where value like '%icmynet%'"


	# rename database to netvizura
	sudo -u postgres psql --quiet -c "alter database icmynet rename to netvizura"
fi

if [ $exit_level -gt "0" ]
then
        echo "ERROR: could not get DB version; the database has NOT been updated. Exiting!"
        exit $exit_level
fi
