#!/bin/sh

if [[ ! -e /var/log/netvizura ]]; then
    mkdir /var/log/netvizura
elif [[ ! -d /var/log/netvizura ]]; then
    echo "/var/log/netvizura already exists but is not a directory" 1>&2
fi

service tomcat6 stop
sed -i.bak "s/ docBase=.*\"//" /etc/tomcat6/Catalina/localhost/netvizura.xml
cp $1 /usr/share/tomcat6/webapps/netvizura.war

NETVIZURA_DIR="/usr/share/tomcat6/webapps/netvizura"
if [ -e $NETVIZURA_DIR ]
then
        rm -rf $NETVIZURA_DIR
fi


cd ./sql
./patch.sh
cd ..


# add new DBCP to Tomcat 
if [ ! -e /usr/share/tomcat6/lib/tomcat-jdbc-8.0.28.jar ]
then 
	cp jars/tomcat-jdbc-8.0.28.jar /usr/share/tomcat6/lib
fi

if [ ! -e /usr/share/tomcat6/lib/tomcat-dbcp-8.0.28.jar ]
then
	cp jars/tomcat-dbcp-8.0.28.jar /usr/share/tomcat6/lib
fi

# tweak Tomcat 6 to use new database pool
sed -i 's/^#\?\(.*apache\.\).*BasicDataSourceFactory\"$/#\0\n\1tomcat\.dbcp\.dbcp2\.BasicDataSourceFactory\"/' /etc/tomcat6/tomcat6.conf

# allow traversal of PostgreSQL directories - to get free space info
chmod +x /var/lib/pgsql
chmod +x /var/lib/pgsql/*

# tweak iptabes to allow REDIRECT on all interfaces
sed -i.bak 's/\(.*\)\( -i eth0\)\(.*514.*REDIRECT.*\)/\1\3/' /etc/sysconfig/iptables
sed -i.bak 's/\(.*\)\( -i eth0\)\(.*162.*REDIRECT.*\)/\1\3/' /etc/sysconfig/iptables
service iptables restart

service tomcat6 start
